GNU bug report logs - #26061
26.0.50; cancel-change-group fails with "unrelated state" error if used after an undo

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Politz <politza@HIDDEN>; merged with #26287, #34405; dated Sat, 11 Mar 2017 18:02:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 26061 26287 34405. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26061 <at> debbugs.gnu.org:


Received: (at 26061) by debbugs.gnu.org; 21 Nov 2019 11:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 21 06:47:51 2019
Received: from localhost ([127.0.0.1]:51395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXkw9-0006Hi-0T
	for submit <at> debbugs.gnu.org; Thu, 21 Nov 2019 06:47:50 -0500
Received: from quimby.gnus.org ([95.216.78.240]:57602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iXkw7-0006HV-8F
 for 26061 <at> debbugs.gnu.org; Thu, 21 Nov 2019 06:47:47 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iXkvz-0003zS-Ab; Thu, 21 Nov 2019 12:47:41 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Braun =?utf-8?Q?G=C3=A1bor?= <braungb88@HIDDEN>
Subject: Re: bug#26061: Consider merging with 26287 and 34405
References: <87wpbvwv47.fsf@luca> <17493981.Zn75uerUAy@gabor>
Date: Thu, 21 Nov 2019 12:47:38 +0100
In-Reply-To: <17493981.Zn75uerUAy@gabor> ("Braun =?utf-8?Q?G=C3=A1bor=22's?=
 message of "Thu, 21 Nov 2019 10:53:09 +0100")
Message-ID: <87a78p5u3p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Braun Gábor <braungb88@HIDDEN> writes: > This seems to
    be a candidate to merge with 26287 and 34405, > the latter two being already
    merged. > > All three bugs have similar Lisp code > (catch ... (atomic-change-group
    ... (throw ...))) > pro [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ingebrigtsen.no]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26061
Cc: 26061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Braun G=C3=A1bor <braungb88@HIDDEN> writes:

> This seems to be a candidate to merge with 26287 and 34405,
> the latter two being already merged.
>
> All three bugs have similar Lisp code
> (catch ... (atomic-change-group ... (throw ...)))
> producing an "unrelated state" error after undo.

Yup; I've merged the bugs now.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26061; Package emacs. Full text available.

Message received at 26061 <at> debbugs.gnu.org:


Received: (at 26061) by debbugs.gnu.org; 21 Nov 2019 09:53:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 21 04:53:33 2019
Received: from localhost ([127.0.0.1]:51267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXj9Z-0007xL-0s
	for submit <at> debbugs.gnu.org; Thu, 21 Nov 2019 04:53:33 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:36227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <braungb88@HIDDEN>) id 1iXj9W-0007x2-LE
 for 26061 <at> debbugs.gnu.org; Thu, 21 Nov 2019 04:53:31 -0500
Received: by mail-wr1-f42.google.com with SMTP id z3so3569933wru.3
 for <26061 <at> debbugs.gnu.org>; Thu, 21 Nov 2019 01:53:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nurqf0C5tFMP2EcKmlF5AVUYbcjBQEE7nz5f50wOY0g=;
 b=S/G1m191fD3kJJw0ygnQYnG4r7dSjaBmtv433KnabSmtoecM8zx3qzRZY/4iwo2X0Q
 GLxzS/B2CXG868qKuiD5XZGD8GKQwQbrM0lb155Mv0Q/ulgoIrHVhf+Jl4Bgk0utT3iv
 OMHvZBqlLSSbyZqRal30nTLVDS2x0NcuVfhq9/i8wFP2Fnz54wh6I2prF1HdxYDoD8Ye
 dRn8RjbOcK9oF85g5ICQWuo2onjIxwWjicxFvzILzbVxhlAdJfjg/LsRso+LoewWYvjg
 GkLKrS8ivbsXF3+2Rv7HbbHzPz8r8RU6f+ftmiFMnCnYAGdXM2pIFTEL9iNRMkejbInP
 /uJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nurqf0C5tFMP2EcKmlF5AVUYbcjBQEE7nz5f50wOY0g=;
 b=H59ZbrUhe43cYFMZW0ZqeZK2HE92WF8AGMEzmdqwoHWLg7ppR1+1+7CLy7ItQPmeX2
 zVKiERyRCEk0B/MsXvZSaT5NgEbjvhz6jQV9FOAlkO49zdZi99jfrzzcULjZT2lswGqI
 n2iXVwC6tKky+dD3wYoXPqHlEHGMtZhTiWZ/UI9ETyX9zBKMHxxoiH1UTxucCb8wmzhW
 ug948IPxD517oiVbH+CN/OV6uSXYZdbWNDhPkOmVDc39gpQ4ZUtZPRj+e/q1pWbIbskn
 NvvyKR3DB6NnPn5j9fdZ+bYJIIl6X7mSbnSAYJFXvoL/zcUvPcHRS+ouNFOzsNVa3n/U
 A56g==
X-Gm-Message-State: APjAAAUb1kuRr8zerRT9gpMr9tV9hmdP2o+eVALYiNRNaowZAJOxkR08
 JEk+QitQtYxOHGmX5LzlYUng3RnJiEw=
X-Google-Smtp-Source: APXvYqyFGrbzMkYrqOnCzYsycnnXaI1+r8XEU9ao9twIiFfzGhFM1sOtB9hQwAoTi3BRgsA0oLCUvA==
X-Received: by 2002:a05:6000:1083:: with SMTP id
 y3mr9078519wrw.290.1574330002235; 
 Thu, 21 Nov 2019 01:53:22 -0800 (PST)
Received: from gabor.localnet (254C5C58.nat.pool.telekom.hu. [37.76.92.88])
 by smtp.gmail.com with ESMTPSA id g138sm2446687wmg.11.2019.11.21.01.53.19
 for <26061 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 21 Nov 2019 01:53:20 -0800 (PST)
From: Braun =?ISO-8859-1?Q?G=E1bor?= <braungb88@HIDDEN>
To: 26061 <at> debbugs.gnu.org
Subject: Consider merging with 26287 and 34405
Date: Thu, 21 Nov 2019 10:53:09 +0100
Message-ID: <17493981.Zn75uerUAy@gabor>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26061
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

This seems to be a candidate to merge with 26287 and 34405,
the latter two being already merged.

All three bugs have similar Lisp code
(catch ... (atomic-change-group ... (throw ...)))
producing an "unrelated state" error after undo.

Best wishes,

	G=C3=A1bor







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26061; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Mar 2017 18:01:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 11 13:01:57 2017
Received: from localhost ([127.0.0.1]:51674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cmlL2-0004ux-TO
	for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:01:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <politza@HIDDEN>) id 1cmlL0-0004ui-Is
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:01:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlKu-0000zq-Sr
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:01:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37505)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <politza@HIDDEN>)
 id 1cmlKu-0000zm-P9
 for submit <at> debbugs.gnu.org; Sat, 11 Mar 2017 13:01:48 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35242)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlKt-0001Cq-Oc
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:01:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <politza@HIDDEN>) id 1cmlKq-0000xJ-FT
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:01:47 -0500
Received: from gateway-a.fh-trier.de ([143.93.54.181]:50265)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <politza@HIDDEN>)
 id 1cmlKq-0000uN-4M
 for bug-gnu-emacs@HIDDEN; Sat, 11 Mar 2017 13:01:44 -0500
X-Virus-Scanned: by Amavisd-new + McAfee uvscan + ClamAV [Rechenzentrum
 Hochschule Trier (RZ/HT)]
Received: from localhost (ip5f5bdecf.dynamic.kabel-deutschland.de
 [95.91.222.207]) (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (No client certificate requested) (Authenticated sender: politza)
 by gateway-a.fh-trier.de (Postfix) with ESMTPSA id 185BE2052D
 for <bug-gnu-emacs@HIDDEN>; Sat, 11 Mar 2017 19:01:29 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha1; c=simple/simple; d=hochschule-trier.de;
 s=default; t=1489255289; bh=/juaOh6HOhBoqYeZ+ZHjT6i9bsI=;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 b=EHHB93UY3moeOpnlTzyYC5taoSCOIfmcNmTEludpwuwvnSaBLuesJU6eE2F737CI2
 1BAoAyW3of+d8zBdUfHam/S8HT95C+j/0PxvVSKJxUilgbPL216oDqtLurOfyvR1qb
 UncE3uHQBgmWyPl80fh8ykrOsvMiMzGdUiSRVNTs=
From: Andreas Politz <politza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50;
 cancel-change-group fails with "unrelated state" error if used after
 an undo
Date: Sat, 11 Mar 2017 19:01:28 +0100
Message-ID: <87wpbvwv47.fsf@luca>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Save the following in some file foo.el:

#+BEGIN_SRC emacs-lisp
(defun bug ()
  (interactive)
  (catch 'done
    (atomic-change-group
      (insert "bug")
      (throw 'done nil))))

(setq debug-on-error t)
(switch-to-buffer (get-buffer-create "*bug*"))
(setq unread-command-events
      (list
       ;; insert abc
       ?a ?b ?c
       ;; undo once
       ?\C-/
       ;; call bug
       ?\M-x ?b ?u ?g ?\C-j))
#+END_SRC

, then start Emacs like this:

$ emacs -Q -l foo.el

Debugger entered--Lisp error: (error "Undoing to some unrelated state")
  signal(error ("Undoing to some unrelated state"))
  error("Undoing to some unrelated state")
  cancel-change-group(((#<buffer *bug*> nil)))

--

-ap




Acknowledgement sent to Andreas Politz <politza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26061; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.